# DataExchange
TKSTEPBase
StepShape

# StepShape_RightCircularCylinder Class Reference

`#include <StepShape_RightCircularCylinder.hxx>`

Inheritance diagram for StepShape_RightCircularCylinder:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_RightCircularCylinder ()
| Returns a RightCircularCylinder .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis1Placement)&aPosition, const Standard_Real aHeight, const Standard_Real aRadius)
Standard_EXPORT void | SetPosition (const Handle(StepGeom_Axis1Placement)&aPosition)
Standard_EXPORT Handle_StepGeom_Axis1Placement | Position () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Axis1Placement | position
Standard_Real | height
Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_RightCircularCylinder::StepShape_RightCircularCylinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_RightCircularCylinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

Standard_EXPORT Standard_Real StepShape_RightCircularCylinder::Height | ( |  | ) | const

virtual Standard_EXPORT void StepShape_RightCircularCylinder::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis1Placement)& | aPosition,
|  | const Standard_Real | aHeight,
|  | const Standard_Real | aRadius
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_RightCircularCylinder::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Axis1Placement StepShape_RightCircularCylinder::Position | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_RightCircularCylinder::Radius | ( |  | ) | const

Standard_EXPORT void StepShape_RightCircularCylinder::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void StepShape_RightCircularCylinder::SetPosition | ( | const Handle(StepGeom_Axis1Placement)& | aPosition | ) |

Standard_EXPORT void StepShape_RightCircularCylinder::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real StepShape_RightCircularCylinder::height `[private]`

Handle_StepGeom_Axis1Placement StepShape_RightCircularCylinder::position `[private]`

Standard_Real StepShape_RightCircularCylinder::radius `[private]`

The documentation for this class was generated from the following file:

- StepShape_RightCircularCylinder.hxx